Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Interface ITransportFactory

All Known Implementing Classes:
  TFramedTransportFactory

    public interface ITransportFactory

Method Summary
`org.apache.thrift.transport.TTransport` | `openTransport(org.apache.thrift.transport.TSocket socket, org.apache.hadoop.conf.Configuration conf)`

Method Detail

### openTransport

    org.apache.thrift.transport.TTransport openTransport(org.apache.thrift.transport.TSocket socket,
                                                         org.apache.hadoop.conf.Configuration conf)
                                                         throws javax.security.auth.login.LoginException,
                                                                org.apache.thrift.transport.TTransportException

  Throws:
    `javax.security.auth.login.LoginException`
    `org.apache.thrift.transport.TTransportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation